local newWindow = osrs.Ui:window({title="Warning", 
    style={
        colour={"ImGuiCol_FrameBg", {200,0,0,1}} 
        }   
    }
)
local img1 = osrs.Ui:image(
    {
        spriteLink = "file:OSRS-Default.png",
        height = 100,
        width = 100
    }
)
local img2 = osrs.Ui:image(
    {
        spriteId = 1,
        sameLine = true
    }
)

local imageButton = osrs.Ui:imageButton(
    {
        spriteLink = "https://assets.modcdn.io/images/placeholder/avatar.png",
        height = 233.4,
        width = 200,
    }
)

imageButton.onClick = function()
    osrs.print("Pressed Button 1. Current Sprite ID: " .. imageButton.spriteLink)
 end
local imageButton2 = osrs.Ui:imageButton(
    {
        spriteId = 2,
        sameLine = true,
        width = 200,
        height = 200,
    }
)

imageButton2.onClick = function()
    osrs.print("Pressed Button 2. Current Sprite ID: " .. imageButton2.spriteId)
    imageButton2.spriteLink = "file:OSRS-Default.png"
end

newWindow:addChild(img1)
newWindow:addChild(img2)
newWindow:addChild(imageButton)
newWindow:addChild(imageButton2)
--Button to clear side panel
local clear = osrs.Ui:textButton(
    {
        text="Clear",
    }
)

-- Function to clear panel. Necessary to define after initialization to clear self
clear.onClick = 
    function()
        newWindow:removeChild(img1)
        newWindow:removeChild(img2) 
        newWindow:removeChild(imageButton)
        newWindow:removeChild(imageButton2)
        osrs.Ui.canvas:removeChild(newWindow)
        osrs.Ui.leftPanel:removeChild(clear)
        osrs.Ui:toggleLeftPanel(false)        
    end

osrs.Ui.leftPanel:addChild(clear)

osrs.Ui:toggleLeftPanel(true)
osrs.Ui.canvas:addChild(newWindow)
